Bug 807563 - Pressing Control-d hangs gluster cli
Pressing Control-d hangs gluster cli
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.3-beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 864628
  Show dependency treegraph
 
Reported: 2012-03-28 03:40 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:18:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-03-28 03:40:26 EDT
Description of problem:

In gluster cli prompt, typing control-d hangs the tool.  Expected behaviour is equivalent of 'exit' command.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run gluster command
2. on gluster prompt press control-d
3.
  
Actual results:


Expected results:
equivalent of 'exit' command.

Additional info:
Comment 1 Vijay Bellur 2012-07-04 14:56:10 EDT
CHANGE: http://review.gluster.com/3630 (Gluster Cli:Pressing Control-d hangs gluster cli) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Bala.FA 2012-10-17 05:24:24 EDT
Fixed in upstream

Note You need to log in before you can comment on or make changes to this bug.